// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef MULT_CLIENTCOMPDEF_MULT_CLIENT_IMPL_H
#define MULT_CLIENTCOMPDEF_MULT_CLIENT_IMPL_H

/************************************************************
 Mult_client_impl class header
 ************************************************************/

#include "Mult_clientCompdef/Pkg_Mult_clientCompdef.h"

#include "Mult_clientCompdef/Mult_client.h"
#include "fromscratch_services/msg/num_of_requests.hpp"

namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}

namespace Mult_clientCompdef {

/************************************************************/
/**
 * This is a skeleton class generated for component Mult_client
 * Copy it into the source folder as an initial base (or copy parts
 * of it whenever you add modify the component).
 * 
 */
class Mult_client_impl: public Mult_client {
public:

	/**
	 * 
	 * @param options 
	 */
	Mult_client_impl(rclcpp::NodeOptions /*in*/options);

	/**
	 * 
	 */
	void mainClientFunction();

	/**
	 * 
	 * @param numofrequests 
	 */
	void processed_requests_handler(
			const fromscratch_services::msg::NumOfRequests::SharedPtr /*in*/numofrequests);

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Mult_clientCompdef

/************************************************************
 End of Mult_client_impl class header
 ************************************************************/

#endif
